[email protected] @lukerehmann
Home | Blog | Resume | Projects | Donate

Check to see if the Heartbeat extension is enabled and vunerable on your webserver.

OpenSSL HeartBleed Test (CVE-2014-0160)

Domain (openssl.com)
Port (Default is 443)
Please be patient as the tests are run! (Up to 30 seconds!)










Is it a match? Visit: heartbleed.com for possible solutions.
Results are no longer cached.
OpenSSL Security Advisory - TLS heartbeat read overrun (CVE-2014-0160)

"The Heartbleed Bug is a serious vulnerability in the popular OpenSSL cryptographic software library. This weakness allows stealing the information protected, under normal conditions, by the SSL/TLS encryption used to secure the Internet. SSL/TLS provides communication security and privacy over the Internet for applications such as web, email, instant messaging (IM) and some virtual private networks (VPNs).
The Heartbleed bug allows anyone on the Internet to read the memory of the systems protected by the vulnerable versions of the OpenSSL software. This compromises the secret keys used to identify the service providers and to encrypt the traffic, the names and passwords of the users and the actual content. This allows attackers to eavesdrop communications, steal data directly from the services and users and to impersonate services and users."
-HeartBleed.com



Made with help from Jared Stafford's Code[mirror]

Questions or suggestions? Don't hesitate to email me!

Cheers!